﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="Picasa._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to Google Photos API!
    </h2>
    <p>
        You can also find <a href="http://www.mono-software.com/blog/post/Mono/182/Using-Google-Photos-API-in-ASP-NET/"
            title="Using Google Photos API in ASP.NET (Programmatically upload pictures to Picasa) ">documentation at Mono Software</a>.
    </p>
    <asp:PlaceHolder ID="phGoogleConect" runat="server">
        <fieldset>
            <asp:ValidationSummary ID="validationSummary" runat="server" CssClass="failureNotification" 
                ValidationGroup="PicasaValidationGroup"/>
            <legend>Connect to Picasa Web Albums</legend>
            <p>
                <asp:Label ID="lblUsername" runat="server" AssociatedControlID="txtUsername">Username:</asp:Label>
                <asp:TextBox ID="txtUsername" runat="server" CssClass="textEntry"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfUsername" runat="server" ControlToValidate="txtUsername" 
                    CssClass="failureNotification" ErrorMessage="Username is required." ToolTip="Username is required." 
                    ValidationGroup="PicasaValidationGroup">*</asp:RequiredFieldValidator>
            </p>
            <p>
                <asp:Label ID="lblPassword" runat="server" AssociatedControlID="txtPassword">Password:</asp:Label>
                <asp:TextBox ID="txtPassword" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfPassword" runat="server" ControlToValidate="txtPassword" 
                        CssClass="failureNotification" ErrorMessage="Password is required." ToolTip="Password is required." 
                        ValidationGroup="PicasaValidationGroup">*</asp:RequiredFieldValidator>
            </p>
            <asp:CustomValidator ID="cvCredentials" runat="server" ValidationGroup="PicasaValidationGroup"></asp:CustomValidator>
        </fieldset>
        <p class="submitButton">
            <asp:Button ID="btnConnect" runat="server" CommandName="Login" Text="Connect" ValidationGroup="PicasaValidationGroup"/>
        </p>
    </asp:PlaceHolder>
    <asp:PlaceHolder ID="phPicasaAlbums" runat="server">
        <fieldset>
            <p>
                <asp:Label ID="lblAlbums" runat="server" AssociatedControlID="dlAlbums"><h3>Web Albums:</h3></asp:Label>
                <asp:DataList ID="dlAlbums" runat="server" RepeatDirection="Horizontal" RepeatColumns="5">
                    <SeparatorTemplate><br /><br /></SeparatorTemplate>
                    <SelectedItemStyle BackColor="Aquamarine" />
                    <SelectedItemTemplate>
                        <%# ((Google.GData.Photos.PicasaEntry)Container.DataItem).Title.Text %><br />
                        <asp:LinkButton ID="btnAlbum" runat="server" CommandArgument="<%# ((Google.GData.Photos.PicasaEntry)Container.DataItem).GetPhotoExtensionValue(Google.GData.Photos.GPhotoNameTable.Id) %>" CommandName="select">
                            <img src="<%# ((Google.GData.Photos.PicasaEntry)Container.DataItem).Media.Thumbnails[0].Url %>" />
                        </asp:LinkButton>
                    </SelectedItemTemplate>
                    <ItemTemplate>
                        <%# ((Google.GData.Photos.PicasaEntry)Container.DataItem).Title.Text %><br />
                        <asp:LinkButton ID="btnAlbum" runat="server" CommandArgument="<%# ((Google.GData.Photos.PicasaEntry)Container.DataItem).GetPhotoExtensionValue(Google.GData.Photos.GPhotoNameTable.Id) %>" CommandName="select">
                            <img src="<%# ((Google.GData.Photos.PicasaEntry)Container.DataItem).Media.Thumbnails[0].Url %>" />
                        </asp:LinkButton>
                    </ItemTemplate>
                </asp:DataList>
            </p>
            <p>
                <asp:Label ID="lblPhotos" runat="server" AssociatedControlID="dlPhotos"><h3>Photos from selected album:</h3></asp:Label>
                <asp:DataList ID="dlPhotos" runat="server"  RepeatDirection="Horizontal" RepeatColumns="5">
                    <SeparatorTemplate></SeparatorTemplate>
                    <ItemTemplate>
                            <%# ((Google.GData.Photos.PicasaEntry)Container.DataItem).Title.Text %><br />
                            <img src="<%# ((Google.GData.Photos.PicasaEntry)Container.DataItem).Media.Thumbnails[2].Url %>" />
                    </ItemTemplate>
                </asp:DataList>
            </p>
        </fieldset>
    </asp:PlaceHolder>
</asp:Content>
